IOSS 2.0

Public Member Functions | Public Attributes | List of all members
Iocgns::StructuredZoneData Class Reference

`#include <Iocgns_StructuredZoneData.h>`

Collaboration diagram for Iocgns::StructuredZoneData:
[legend]

## Public Member Functions
| StructuredZoneData ()
| StructuredZoneData (std::string name, int zone, int ni, int nj, int nk)
| StructuredZoneData (int zone, const std::string &nixnjxnk)
bool | is_active () const
size_t | work () const
size_t | cell_count () const
size_t | node_count () const
std::pair< StructuredZoneData *, StructuredZoneData * > | split (int zone_id, double avg_work, int rank, bool verbose)
void | resolve_zgc_split_donor (std::vector< Iocgns::StructuredZoneData * > &zones)
void | update_zgc_processor (std::vector< Iocgns::StructuredZoneData * > &zones)

## Public Attributes
std::string | m_name {}
Ioss::IJK_t | m_ordinal {{0, 0, 0}}
Ioss::IJK_t | m_offset {{0, 0, 0}}
int | m_lineOrdinal {-1}
int | m_zone {0}
StructuredZoneData * | m_adam {nullptr}
StructuredZoneData * | m_parent {nullptr}
int | m_proc {-1}
int | m_splitOrdinal {0}
StructuredZoneData * | m_child1 {nullptr}
StructuredZoneData * | m_child2 {nullptr}
StructuredZoneData * | m_sibling {nullptr}
std::vector< Ioss::ZoneConnectivity > | m_zoneConnectivity

## Constructor & Destructor Documentation

## ◆ StructuredZoneData() [1/3]

Iocgns::StructuredZoneData::StructuredZoneData | ( |  | ) |
| inline

## ◆ StructuredZoneData() [2/3]

Iocgns::StructuredZoneData::StructuredZoneData | ( | std::string | name,
|  | int | zone,
|  | int | ni,
|  | int | nj,
|  | int | nk
| ) |  |
| inline

## ◆ StructuredZoneData() [3/3]

Iocgns::StructuredZoneData::StructuredZoneData | ( | int | zone,
|  | const std::string & | nixnjxnk
| ) |  |

## Member Function Documentation

## ◆ cell_count()

size_t Iocgns::StructuredZoneData::cell_count | ( |  | ) | const
| inline

## ◆ is_active()

bool Iocgns::StructuredZoneData::is_active | ( |  | ) | const
| inline

## ◆ node_count()

size_t Iocgns::StructuredZoneData::node_count | ( |  | ) | const
| inline

## ◆ resolve_zgc_split_donor()

void Iocgns::StructuredZoneData::resolve_zgc_split_donor | ( | std::vector< Iocgns::StructuredZoneData * > & | zones | ) |

## ◆ split()

std::pair< StructuredZoneData *, StructuredZoneData * > Iocgns::StructuredZoneData::split | ( | int | zone_id,
|  | double | avg_work,
|  | int | rank,
|  | bool | verbose
| ) |  |

## ◆ update_zgc_processor()

void Iocgns::StructuredZoneData::update_zgc_processor | ( | std::vector< Iocgns::StructuredZoneData * > & | zones | ) |

## ◆ work()

size_t Iocgns::StructuredZoneData::work | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_adam

StructuredZoneData* Iocgns::StructuredZoneData::m_adam {nullptr}

## ◆ m_child1

StructuredZoneData* Iocgns::StructuredZoneData::m_child1 {nullptr}

## ◆ m_child2

StructuredZoneData* Iocgns::StructuredZoneData::m_child2 {nullptr}

## ◆ m_lineOrdinal

int Iocgns::StructuredZoneData::m_lineOrdinal {-1}

## ◆ m_name

std::string Iocgns::StructuredZoneData::m_name {}

## ◆ m_offset

Ioss::IJK_t Iocgns::StructuredZoneData::m_offset {{0, 0, 0}}

## ◆ m_ordinal

Ioss::IJK_t Iocgns::StructuredZoneData::m_ordinal {{0, 0, 0}}

## ◆ m_parent

StructuredZoneData* Iocgns::StructuredZoneData::m_parent {nullptr}

## ◆ m_proc

int Iocgns::StructuredZoneData::m_proc {-1}

## ◆ m_sibling

StructuredZoneData* Iocgns::StructuredZoneData::m_sibling {nullptr}

## ◆ m_splitOrdinal

int Iocgns::StructuredZoneData::m_splitOrdinal {0}

## ◆ m_zone

int Iocgns::StructuredZoneData::m_zone {0}

## ◆ m_zoneConnectivity

std::vector<Ioss::ZoneConnectivity> Iocgns::StructuredZoneData::m_zoneConnectivity

The documentation for this class was generated from the following files:

- src/cgns/Iocgns_StructuredZoneData.h
- src/cgns/Iocgns_StructuredZoneData.C